get
https://trade-hk.oslsandbox.com/api/v4/instrument
Get the currency-pair information. All available currency-pairs for retail users will be returned by default. PI can also implement API key to get all currency-pairs supported for PI.
Response Body
| Field | Description |
|---|---|
| symbol | Currency pair, i.e. BTCUSD |
| currency | Currency of the asset for the quoted market price |
| settlCurrency | Currency in which the price is settled in |
| highPrice | Highest traded price of the pair within the prior rolling 24 hour window |
| lowPrice | Lowest traded price of the currency pair within the prior rolling 24 hour window |
| bidPrice | Current bid price |
| askPrice | Current ask price |
| lastPrice | Last traded price |
| minPrice | Minimum price allowed to order for this currency pair |
| maxPrice | Maximum price allowed to order for this currency pair |
| minOrderQty | Minimum quantity allowed to order for this currency pair (in currency) |
| maxOrderQty | Maximum quantity allowed to order for this currency pair (in currency) |
| minValue | Minimum allowed order value (in settlement currency) i.e. order value = order qty x price |
| maxValue | Maximum allowed order value (in settlement currency) i.e. order value = order qty x price |
| prevClosePrice | Last price traded in the previous trading cycle |
| volume | The traded volume of the currency pair in the prior rolling 24 hour window |
| tickSize | The minimum price movement of the currency pair. |
| stepSize | The minimum quantity movement of the currency pair. |
| priceDecimals | The number of decimal places used to display the price. |
| quantityDecimals | The number of decimal places used to display the quantity. |
| updateTime | The last trade time |
